#
# spec file for package postgresql-pl (Version 8.1.11)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed sqlite strace sysvinit tar tcl tcl-devel tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           postgresql-pl
BuildRequires:  krb5-devel openssl-devel pam-devel python-devel tcl-devel
Summary:        The PL/Tcl, PL/Perl, and PL/Python Procedural Languages for PostgreSQL
Version:        8.1.11
Release:        0.1
License:        BSD 3-Clause
Group:          Productivity/Databases/Servers
Source0:        postgresql-%version.tar.bz2
NoSource:       0
Url:            http://www.postgresql.org/
Requires:       postgresql-server = 8.1
Obsoletes:      postgresql-plperl
Provides:       postgresql-plperl postgresql-pltcl postgresql-plpython
Provides:       postgresql-tcl:%_libdir/postgresql/pltcl.so
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define pls plperl plpython tcl

%description
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Tcl, PL/Perl, and PL/Python procedural
languages for PostgreSQL.  With these modules one can use Perl, Python,
and Tcl to write stored procedures, functions, and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%prep
# The sources for the postgresql-pl package can be found
# in the postgresql source RPM.
%setup -q -n postgresql-%{version}

%build
#autoconf
export CFLAGS="%optflags"
export LIBNAME=%_lib
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--bindir=%_bindir \
	--includedir=%_includedir/pgsql \
	--datadir=%_datadir/postgresql \
	--mandir=%_mandir \
	--with-docdir=%_docdir \
	--enable-nls \
	--enable-thread-safety \
        --enable-thread-safety-force \
	--enable-integer-datetimes \
	--without-readline \
	--with-python \
	--with-perl \
	--with-tcl \
	--without-tk \
	--with-tclconfig=%_libdir \
	--with-openssl \
	--with-pam \
%if %suse_version < 1000
	--with-includes="/usr/include/heimdal /usr/include/et" \
%endif
	--with-krb5 
# needed for plperl
make -C src/backend ../../src/include/utils/fmgroids.h
for f in %pls; do
	make %{?jobs:-j%jobs} -C src/pl/$f all
done

%install
for f in %pls; do
	make DESTDIR=%buildroot -C src/pl/$f install
done

%clean
rm -rf %buildroot
# Ok, we are dynamically generating some filelists.  These are by default
# under the BUILD/postgresql-x.y.z tree.
# Note that macros such as config are available in those lists.
# The lists differentiate between RedHat, SuSE, and others.

%files
%defattr(-,root,root)
%_libdir/postgresql
%_datadir/postgresql
%_bindir/pltcl*

%changelog
* Mon Feb 13 2006 - max@suse.de
- New version: 8.1.3 (#150376).
- Relaxed dependencies between subpackages to simplify future
  updates.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 22 2005 - max@suse.de
- New version: 8.1.1
* Mon Nov 14 2005 - uli@suse.de
- hardwire thread safety to yes (test may hang QEMU, same as
  postgres.spec)
* Wed Jun 15 2005 - max@suse.de
- Specify the path to tclConfig.sh
* Mon Apr 11 2005 - max@suse.de
- New version: 8.0.2
* Mon Apr 04 2005 - uli@suse.de
- hardwire thread safety to yes (test may hang QEMU)
* Mon Sep 13 2004 - max@suse.de
- Take the proper linking options from Perl, so that libperl.so
  can be found when loading plperl into the postgresql server.
* Thu Sep 09 2004 - max@suse.de
- Fixed the package name inside postgresql-pl.spec.
* Mon Sep 06 2004 - max@suse.de
- Created a separate spec file for the postgresql-pl subpackage.
